class Ticket
  include Mongoid::Document
  include Mongoid::Timestamps

  TIPOS = [
      :FALLO_DISENO, # Fallo de Diseño
      :FACTURACION, # Facturacion
      :SOPORTE_TECNICO  # Soporte Tecnico
  ]
  PRIORIDAD = [
      :BAJA,
      :MEDIA,
      :ALTA
  ]

  field :tipo, type: Symbol
  field :prioridad, type: Symbol
  field :concepto, type: String
  field :path, type: String
  field :closed, type: Boolean, default: false

  has_one :chat_sala
  belongs_to :owner, polymorphic: true

end